#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 2847 $
$LastChangedDate:: 2020-02-24 16:52:17 +0100#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script builds test for all components
    
    This script needs to be run in a SyMSpace console!
    
    Commandline Arguments
    ---------------------
    
    --fullBuild : int
        If --fullBuild is 1 all component tests will be built,
        if --fullBuild is 0 (Default) only new component tests will be built.
        
    --startDir : str
        The search for component starts from this directory (Optional).
        Default is the ComponentSpace root directory.
        
    --buildFreeCAD: int
        Build FreeCAD Geometry components, default is 0 (False)

    --buildCreo: int
        Build Creo Geometry components, default is 0 (False)
        
                
    Examples
    --------
    
    >>> CSyMSpace.exe build_component_tests.py --fullBuild 1
    
    >>> CSyMSpace.exe build_components_tests.py --fullBuild 0 --startDir "C:\\ComponentSpace\\Simulation\\Motor"
        
    """

    from componentspace.testing.create_tests import ComponentTestBuilder

    builder = ComponentTestBuilder.fromCMDParser()
    builder.cleanReportsDir()
    builder.startBuild()
    builder.deployReports()
